require 'fileutils'
require 'yaml'
require 'i18n'

require_relative '../config/i18n'

require_relative 'codebreaker/errors/game_over_error'
require_relative 'codebreaker/errors/game_save_error'
require_relative 'codebreaker/errors/no_hints_error'
require_relative 'codebreaker/errors/validation_length_error'
require_relative 'codebreaker/create_stat_service'
require_relative 'codebreaker/game'
require_relative 'codebreaker/mixins/validator'
require_relative 'codebreaker/player'
require_relative 'codebreaker/secret_code_generator'
require_relative 'codebreaker/secret_code_matcher'
require_relative 'codebreaker/stats_storage'
require_relative 'codebreaker/version'

module Codebreaker
end
